<?php

function AñadirCliente()
{
    echo '            

    <div id="myFormNuevoCliente" class="cd-popup" role="alert">
        <div class="cd-popup-container">
        <form id="contact" action="añadir_cliente2.php" class="form-container">';

    echo '
            <h4>Crear cliente</h4>                  
            <fieldset>
                <input id="Id" name="Id" type="hidden" value=""/>
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Nombre</b></label>
                <input value="" type="text" tabindex="1" required autofocus name="nombre">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Población</b></label>
                <input value="" type="text" tabindex="2" required name="poblacion">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Dirección</b></label>
                <input value="" type="text" tabindex="3" required name="direccion">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>C.P.</b></label>
                <input value="" type="text" tabindex="4" required name="cp">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Teléfono</b></label>
                <input value="" type="tel" tabindex="5" required name="telefono">
            </fieldset>                                          
            
            <fieldset>
                <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Crear</button>
            </fieldset>
    ';

    /*
            <fieldset>
                <textarea placeholder="Type your Message Here...." tabindex="5" required></textarea>
            </fieldset>
    */

    echo '</form>
            
            <a href="#0" class="cd-popup-close img-replace">Close</a>
        </div> <!-- cd-popup-container -->
    </div> <!-- cd-popup -->
    ';
}
;

function CargarListaClientes2($con, $busq, $sele_chk)
{

    if (isset($busq) == "") {
        
        $wher = '';
        $texto_chk = '';
        switch ($sele_chk) {
            case 0:
                $wher = '';
                break;
            case 1:
                //SOLO CLIENTES
                $wher = ' WHERE cli_clasif > 0 ';
                $texto_chk = 'Clientes - ';
                break;
            case 2:
                // SOLO LEADS
                $wher = ' WHERE cli_clasif = 0 ';
                $texto_chk = 'Leads - ';
                break;
        }
        
        $sqlVerificandoLogin = ("SELECT cli_id, cli_nombre, cli_clasif, cli_poblacion FROM clientes " . $wher . " ORDER BY cli_clasif DESC");
    } else {

        $wher = '';
        $texto_chk = '';
        switch ($sele_chk) {
            case 0:
                $wher = '';
                break;
            case 1:
                //SOLO CLIENTES
                $wher = ' AND cli_clasif > 0 ';
                $texto_chk = 'Clientes - ';
                break;
            case 2:
                // SOLO LEADS
                $wher = ' AND cli_clasif = 0 ';
                $texto_chk = 'Leads - ';
                break;
        }

        $sqlVerificandoLogin = ("SELECT cli_id, cli_nombre, cli_clasif, cli_poblacion FROM clientes WHERE cli_nombre LIKE '" . $busq . "%' " . $wher . " ORDER BY cli_clasif DESC,cli_nombre");

        echo '<form action="clientes4.php" class="">        
              <button type="submit" class="btn boton-eliminar-busqueda">Eliminar Busqueda ('.$texto_chk . $busq . ')</button>
              </form>';
    }

    $resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die(mysqli_error($con));
    $numLogin = mysqli_num_rows($resultLogin);
    if ($numLogin > 0) {
        while ($rowData = mysqli_fetch_assoc($resultLogin)) {
            //$user['UserAdmin'] = $rowData['UserAdmin'];
            $cliente['cli_id'] = $rowData['cli_id'];
            $cliente['cli_nombre'] = $rowData['cli_nombre'];
            $cliente['cli_clasif'] = $rowData['cli_clasif'];
            $cliente['cli_poblacion'] = $rowData['cli_poblacion'];

            $url_cliente = 'clientes4.php?id=' . $cliente['cli_id'];
            echo '<div class="tarjeta-cliente">';
            echo '  <a href="' . $url_cliente . '" class="">';
            echo '      <div class ="tarjeta-cliente-container">';
            echo '          <div class="clasif-cliente">
                                <div class="clasif-container">
                                    <h2>';
            echo $cliente['cli_clasif'];
            echo '                  </h2>
                                </div>
                            </div>
                            <div class="nombre-cliente">
                                <h3>';
            echo $cliente['cli_nombre'];
            echo '              </h3>
                                <p>';
            echo $cliente['cli_poblacion'];
            echo '               </p>
                            </div>
                        </div>';
            echo '  </a>';
            echo '</div>';

        }
    }
}


function MostrarCabeceraTituloCliente2($con, $cliente_id)
{


    $sqlVerificandoLogin = ("SELECT cli_nombre, cli_clasif, cli_poblacion FROM clientes WHERE cli_id = " . $cliente_id);

    $resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die(mysqli_error($con));
    $numLogin = mysqli_num_rows($resultLogin);
    if ($numLogin > 0) {
        while ($rowData = mysqli_fetch_assoc($resultLogin)) {
            //$user['UserAdmin'] = $rowData['UserAdmin'];            
            $cliente['cli_nombre'] = $rowData['cli_nombre'];
            $cliente['cli_clasif'] = $rowData['cli_clasif'];
            $cliente['cli_poblacion'] = $rowData['cli_poblacion'];
            echo '<div class="tarjeta-cliente">';
            echo '      <div class ="tarjeta-cliente-container">';

            echo '          <div class="clasif-cliente">
                                <div class="clasif-container">
                                    <h2>';
            echo $cliente['cli_clasif'];
            echo '                  </h2>
                                </div>
                            </div>';

            echo '          <div class="nombre-cliente">
                                <h3>';
            echo $cliente['cli_nombre'];
            echo '              </h3>
                                <p>';
            echo $cliente['cli_poblacion'];
            echo '               </p>
                            </div>
                        </div>';
            echo '</div>';

        }
    }
}

function MostrarInfoCliente2($con, $cliente_id)
{


    $sqlVerificandoLogin = ("SELECT cli_nombre, cli_clasif, cli_poblacion, cli_direccion, cli_cp, cli_tfno FROM clientes WHERE cli_id = " . $cliente_id);

    $resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die(mysqli_error($con));
    $numLogin = mysqli_num_rows($resultLogin);
    if ($numLogin > 0) {
        while ($rowData = mysqli_fetch_assoc($resultLogin)) {
            //$user['UserAdmin'] = $rowData['UserAdmin'];            
            $cliente['cli_nombre'] = $rowData['cli_nombre'];
            $cliente['cli_clasif'] = $rowData['cli_clasif'];
            $cliente['cli_poblacion'] = $rowData['cli_poblacion'];

            $cliente['cli_direccion'] = $rowData['cli_direccion'];
            $cliente['cli_cp'] = $rowData['cli_cp'];
            $cliente['cli_tfno'] = $rowData['cli_tfno'];

            echo '<div class="tarjeta-cliente">';
            echo '      <div class ="tarjeta-cliente-container">';

            echo '          <div class="titulo-cliente">
                                <h3>';
            echo 'Información Cliente: ';
            echo '              </h3>
                            </div>';


            echo '          <div class="nombre-cliente">
                                <h3>';
            echo $cliente['cli_nombre'];
            echo '              </h3>';

            echo '              <p>';
            echo $cliente['cli_poblacion'];
            echo '               </p>';

            echo '              <p>';
            echo $cliente['cli_direccion'];
            echo '               </p>';

            echo '              <p>';
            echo $cliente['cli_cp'];
            echo '               </p>';

            echo '              <p>';
            echo $cliente['cli_tfno'];
            echo '               </p>';



            echo '          </div>
                        </div>';
            echo '</div>';

            echo '<button class="modificar-info" onclick="openFormNuevo()">Modificar Info</button>';

            FormularioModificarCliente(
                $cliente_id,
                $rowData['cli_nombre'],
                $rowData['cli_poblacion'],
                $rowData['cli_direccion'],
                $rowData['cli_cp'],
                $rowData['cli_tfno']
            );


        }
    }
}

function FormularioModificarCliente(
    $cliente_id,
    $nombre_cli,
    $poblacion_cli,
    $direccion_cli,
    $cp_cli,
    $tlfno_cli
) {

    echo '            

            <div id="myFormNuevo" class="cd-popup" role="alert">
	            <div class="cd-popup-container">
                <form id="contact" action="editar_cliente2.php" class="form-container">';

    echo '
                    <h4>Modificar Información del Cliente</h4>       
                    <fieldset>
                        <input id="Id" name="Id" type="hidden" value="' . $cliente_id . '"/>
                    </fieldset>
                    <fieldset>
                        <label for="nombre"><b>Nombre</b></label>
                        <input value="' . $nombre_cli . '" type="text" tabindex="1" required autofocus name="nombre">
                    </fieldset>
                    <fieldset>
                        <label for="nombre"><b>Población</b></label>
                        <input value="' . $poblacion_cli . '" type="text" tabindex="2" required name="poblacion">
                    </fieldset>
                    <fieldset>
                        <label for="nombre"><b>Dirección</b></label>
                        <input value="' . $direccion_cli . '" type="text" tabindex="3" required name="direccion">
                    </fieldset>
                    <fieldset>
                        <label for="nombre"><b>C.P.</b></label>
                        <input value="' . $cp_cli . '" type="text" tabindex="4" required name="cp">
                    </fieldset>
                    <fieldset>
                        <label for="nombre"><b>Teléfono</b></label>
                        <input value="' . $tlfno_cli . '" type="tel" tabindex="5" required name="telefono">
                    </fieldset>                    
                    
                    <fieldset>
                        <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Modificar</button>
                    </fieldset>
            ';

    /*
            <fieldset>
                <textarea placeholder="Type your Message Here...." tabindex="5" required></textarea>
            </fieldset>
    */

    echo '</form>
		            
		            <a href="#0" class="cd-popup-close img-replace">Close</a>
	            </div> <!-- cd-popup-container -->
            </div> <!-- cd-popup -->
            ';

}

function CargarListaContactos2($con, $cliente_id)
{


    $sqlVerificandoLogin = ("SELECT con_id, con_nombre, con_movil, con_email FROM contactos WHERE con_idcli = " . $cliente_id . " ORDER BY con_orden");


    $resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die(mysqli_error($con));
    $numLogin = mysqli_num_rows($resultLogin);
    if ($numLogin > 0) {
        while ($rowData = mysqli_fetch_assoc($resultLogin)) {
            //$user['UserAdmin'] = $rowData['UserAdmin'];
            $cliente['con_id'] = $rowData['con_id'];
            $cliente['con_nombre'] = $rowData['con_nombre'];
            $cliente['con_movil'] = $rowData['con_movil'];
            $cliente['con_email'] = $rowData['con_email'];

            $id_con = $rowData['con_id'];
            /*$url_cliente = 'clientes4.php?id=' . $cliente['cli_id'];            */
            $url_cliente = '#';
            echo '<div class="tarjeta-cliente">';
            echo '  <a href="' . $url_cliente . '" class="">';
            echo '      <div class ="tarjeta-cliente-container">';
            echo '          <div class="clasif-cliente-2">
                                
                                <div class="clasif-cont">
                                    <button class="modificar-info" onclick="openFormContacto(' . $id_con . ')">
                                        <img src="assets/icons8-lápiz-80.png" width="30px" /> 
                                    </button>  
                                </div>   
                                
                            </div>           
                            <div class="nombre-cliente">
                                <h3>';
            echo $cliente['con_nombre'];
            echo '              </h3>
                                <p>';
            echo $cliente['con_movil'];
            echo '               </p>
                                 <p>';
            echo $cliente['con_email'];
            echo '               </p>

                            </div>
                        </div>';
            echo '  </a>';
            echo '</div>';
            echo '
            <form id="borrarContacto" action="borrar_contacto2.php" class="">
                <input id="Id" name="Id" type="hidden" value="' . $cliente['con_id'] . '"/>
                <input id="IdCli" name="IdCli" type="hidden" value="' . $cliente_id . '"/>
                <button class="boton-borrado">Borrar Contacto</button>
            </form>
            ';

            FormularioModificarContacto(
                $cliente_id,
                $rowData['con_id'],
                $rowData['con_nombre'],
                $rowData['con_movil'],
                $rowData['con_email']
            );
        }

    }
}

function AñadirContacto($cliente_id)
{
    echo '            

    <div id="myFormNuevoContacto" class="cd-popup" role="alert">
        <div class="cd-popup-container">
        <form id="contact" action="añadir_contacto2.php" class="form-container">';

    echo '
            <h4>Crear contacto</h4>       
            <fieldset>                
                <input id="IdCli" name="IdCli" type="hidden" value="' . $cliente_id . '"/>
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Nombre</b></label>
                <input value="" type="text" tabindex="1" required autofocus name="nombre">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Movil</b></label>
                <input value="" type="text" tabindex="2" name="movil">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Email</b></label>
                <input value="" type="email" tabindex="3" name="email">
            </fieldset>                                     
            
            <fieldset>
                <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Crear</button>
            </fieldset>
    ';

    /*
            <fieldset>
                <textarea placeholder="Type your Message Here...." tabindex="5" required></textarea>
            </fieldset>
    */

    echo '</form>
            
            <a href="#0" class="cd-popup-close img-replace">Close</a>
        </div> <!-- cd-popup-container -->
    </div> <!-- cd-popup -->
    ';
}
function FormularioModificarContacto(
    $id_cli,
    $con_id,
    $con_nombre,
    $con_movil,
    $con_email
) {

    echo '            

            <div id="myFormContacto' . $con_id . '" class="cd-popup" role="alert">
	            <div class="cd-popup-container">
                <form id="contact" action="editar_contacto2.php" class="form-container">';

    echo '
                    <h4>Modificar Contacto</h4>       
                    <fieldset>
                        <input id="Id" name="Id" type="hidden" value="' . $con_id . '"/>
                        <input id="IdCli" name="IdCli" type="hidden" value="' . $id_cli . '"/>
                    </fieldset>
                    <fieldset>
                        <label for="nombre"><b>Nombre</b></label>
                        <input value="' . $con_nombre . '" type="text" tabindex="1" required autofocus name="nombre">
                    </fieldset>
                    <fieldset>
                        <label for="nombre"><b>Movil</b></label>
                        <input value="' . $con_movil . '" type="text" tabindex="2" name="movil">
                    </fieldset>
                    <fieldset>
                        <label for="nombre"><b>Email</b></label>
                        <input value="' . $con_email . '" type="email" tabindex="3" name="email">
                    </fieldset>                                     
                    
                    <fieldset>
                        <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Modificar</button>                        
                    </fieldset>
            ';

    /*
            <fieldset>
                <textarea placeholder="Type your Message Here...." tabindex="5" required></textarea>
            </fieldset>
    */

    echo '</form>                    
		            <a href="#0" class="cd-popup-close img-replace">Close</a>
	            </div> <!-- cd-popup-container -->
            </div> <!-- cd-popup -->
            ';

}


function CargarListaAcciones2($con, $cliente_id)
{


    $sqlVerificandoLogin = ("SELECT acciones.acc_id, acciones.acc_idcon, contactos.con_nombre, acciones.acc_iduser, myusers.nameUser, acciones.acc_tipo, acciones.acc_resultado, acciones.acc_fecha_accion, acciones.acc_fecha_prox FROM acciones LEFT JOIN contactos ON contactos.con_id = acciones.acc_idcon LEFT JOIN myusers ON myusers.IdUser = acciones.acc_iduser WHERE acc_idcli = " . $cliente_id . " ORDER BY acciones.acc_id");


    $resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die(mysqli_error($con));
    $numLogin = mysqli_num_rows($resultLogin);
    if ($numLogin > 0) {
        while ($rowData = mysqli_fetch_assoc($resultLogin)) {
            //$user['UserAdmin'] = $rowData['UserAdmin'];
            $acc_id = $rowData['acc_id'];
            $acc_idcon = $rowData['acc_idcon'];
            $con_nombre = $rowData['con_nombre'];
            $acc_iduser = $rowData['acc_iduser'];
            $nameUser = $rowData['nameUser'];
            $acc_tipo = $rowData['acc_tipo'];
            $acc_resultado = $rowData['acc_resultado'];
            $acc_fecha_accion = $rowData['acc_fecha_accion'];
            $acc_fecha_prox = $rowData['acc_fecha_prox'];

            /*$url_cliente = 'clientes4.php?id=' . $cliente['cli_id'];            */
            $url_cliente = '#';
            echo '<div class="tarjeta-cliente">';
            echo '  <a href="' . $url_cliente . '" class="">';
            echo '      <div class ="tarjeta-cliente-container">';
            echo '          <div class="clasif-cliente-2">
                                <div class="clasif-cont">
                                    <button class="modificar-info" onclick="openFormAccion(' . $acc_id . ')">
                                        <img src="assets/icons8-lápiz-80.png" width="30px" /> 
                                    </button>  
                                </div>
                            </div>           
                            <div class="nombre-cliente">
                                <h3>';
            echo $acc_tipo;
            echo ' - ';
            echo $con_nombre;
            echo '              </h3>
                                <p>';
            echo $acc_fecha_accion;
            echo '               </p>';
            echo '
                                 <p>';
            echo $acc_resultado;
            echo ' - Fecha Estimada: ';
            echo $acc_fecha_prox;
            echo '               </p>';
            echo '
                                 <p>Usuario: ';
            echo $nameUser;
            echo '               </p>';

            echo '          </div>
                        </div>';
            echo '  </a>';
            echo '</div>';

            echo '
            <form id="borrarAccion" action="borrar_accion2.php" class="">
                <input id="Id" name="Id" type="hidden" value="' . $acc_id . '"/>
                <input id="IdCli" name="IdCli" type="hidden" value="' . $cliente_id . '"/>
                <button class="boton-borrado">Borrar Accion</button>
            </form>
            ';
            

            FormularioModificarAccion(
                $con,
                $cliente_id,
                $rowData['acc_idcon'],
                $rowData['acc_id'],
                $rowData['acc_tipo'],
                $rowData['acc_resultado'],
                $rowData['acc_fecha_accion'],
                $rowData['acc_fecha_prox'],
                $rowData['acc_iduser']
            );
        }
    }
}

function FormularioModificarAccion(
    $con,
    $cliente_id,
    $acc_idcon,
    $acc_id,
    $acc_tipo,
    $acc_resultado,
    $acc_fecha_accion,
    $acc_fecha_prox,
    $iduser
) {

    echo '            

    <div id="myFormAccion' . $acc_id . '" class="cd-popup" role="alert">
        <div class="cd-popup-container">
        <form id="contact" action="editar_accion2.php" class="form-container">';

    echo '
            <h4>Modificar Acción</h4>       
            <fieldset>
                <input id="Id" name="Id" type="hidden" value="' . $acc_id . '"/>
                <input id="IdCli" name="IdCli" type="hidden" value="' . $cliente_id . '"/>
                <input id="IdUser" name="IdUser" type="hidden" value="' . $iduser . '"/>
            </fieldset>

            <fieldset>
                <label for="nombre"><b>Contacto</b></label>
                <select tabindex="1" name="contacto">';
    MostrarSelectContactos($con, $cliente_id, $acc_idcon);
    echo '          </select>                
            </fieldset>                                  

            <fieldset>
                <label for="nombre"><b>Tipo</b></label>
                <input value="' . $acc_tipo . '" type="text" tabindex="2" required autofocus name="tipo">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Resultado</b></label>
                <textarea tabindex="3" name="resultado">' . $acc_resultado . '</textarea>                
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Fecha Acción</b></label>
                <input value="' . $acc_fecha_accion . '" type="text" tabindex="4" name="fecha-accion">
            </fieldset>    
            <fieldset>
                <label for="nombre"><b>Fecha Estimada</b></label>
                <input value="' . $acc_fecha_prox . '" type="text" tabindex="5" name="fecha-prox">
            </fieldset>                                  
            
            <fieldset>
                <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Modificar</button>
            </fieldset>
    ';

    /*
        <fieldset>
            <textarea placeholder="Type your Message Here...." tabindex="5" required></textarea>
        </fieldset>
    */

    echo '</form>
            
            <a href="#0" class="cd-popup-close img-replace">Close</a>
        </div> <!-- cd-popup-container -->
    </div> <!-- cd-popup -->
    ';

}

function MostrarSelectContactos($con, $idcli, $idcon_selected)
{


    $sqlVerificandoLogin = ("SELECT con_id, con_nombre FROM contactos WHERE con_idcli = " . $idcli . " ORDER BY con_orden");


    $resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die(mysqli_error($con));
    $numLogin = mysqli_num_rows($resultLogin);
    if ($numLogin > 0) {
        while ($rowData = mysqli_fetch_assoc($resultLogin)) {
            $con_id = $rowData['con_id'];
            $con_nombre = $rowData['con_nombre'];
            $selec = '';
            if ($con_id == $idcon_selected) {
                $selec = ' selected';
            }
            echo '
                <option value="' . $con_id . '"' . $selec . '>' . $con_nombre . '</option>
                ';
        }

    }
}

function AñadirAccion($con, $idcli)
{

    $hoy = getdate();
    $fecha = $hoy['mday'] . '/' . $hoy['mon'] . '/' . $hoy['year'];

    echo '            

    <div id="myFormNuevAccion" class="cd-popup" role="alert">
        <div class="cd-popup-container">
        <form id="contact" action="añadir_accion2.php" class="form-container">';

    echo '
            <h4>Crear Acción</h4>       
            <fieldset>                
                <input id="IdCli" name="IdCli" type="hidden" value="' . $idcli . '"/>
            </fieldset>
            <fieldset>
            <label for="nombre"><b>Contacto *</b></label>
            <select tabindex="1" name="contacto" required >';
    MostrarSelectContactos($con, $idcli, '');
    echo '          </select>
            </fieldset>

            <fieldset>
                <label for="nombre"><b>Tipo *</b></label>
                <input value="" type="text" tabindex="2" required autofocus name="tipo">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Resultado</b></label>                
                <textarea placeholder="" tabindex="3" name="resultado"></textarea>
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Fecha Acción *</b></label>
                <input value="' . $fecha . '" type="text" tabindex="4" name="fechaAccion" required>
            </fieldset>    
            <fieldset>
                <label for="nombre"><b>Fecha Estimada</b></label>
                <input value="" type="text" tabindex="5" name="fechaProx">
            </fieldset>    

            <fieldset>
                <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Crear</button>
            </fieldset>
    ';

    /*
            <fieldset>
                <textarea placeholder="Type your Message Here...." tabindex="5" required></textarea>
            </fieldset>
    */

    echo '</form>
            
            <a href="#0" class="cd-popup-close img-replace">Close</a>
        </div> <!-- cd-popup-container -->
    </div> <!-- cd-popup -->
    ';
}

function ClienteTieneContactos($con, $idcli)
{
    $sqlVerificandoLogin = ("SELECT con_id, con_nombre, con_movil, con_email FROM contactos WHERE con_idcli = " . $idcli . " ORDER BY con_orden");


    $resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die(mysqli_error($con));
    return mysqli_num_rows($resultLogin);
}


function CargarListaOfertas($con, $cliente_id)
{


    $sqlVerificandoLogin = ("SELECT ofe_id, ofe_ref, ofe_descr, ofe_fecha, ofe_importe FROM ofertas WHERE ofe_idcli = " . $cliente_id . " ORDER BY ofe_fecha DESC");


    $resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die(mysqli_error($con));
    $numLogin = mysqli_num_rows($resultLogin);
    if ($numLogin > 0) {
        while ($rowData = mysqli_fetch_assoc($resultLogin)) {
            //$user['UserAdmin'] = $rowData['UserAdmin'];
            $cliente['ofe_id'] = $rowData['ofe_id'];
            $cliente['ofe_ref'] = $rowData['ofe_ref'];
            $cliente['ofe_descr'] = $rowData['ofe_descr'];
            $cliente['ofe_fecha'] = $rowData['ofe_fecha'];
            $cliente['ofe_importe'] = $rowData['ofe_importe'];

            $id_con = $rowData['ofe_id'];
            /*$url_cliente = 'clientes4.php?id=' . $cliente['cli_id'];            */
            $url_cliente = '#';
            echo '<div class="tarjeta-cliente">';
            echo '  <a href="' . $url_cliente . '" class="">';
            echo '      <div class ="tarjeta-cliente-container">';
            echo '          <div class="clasif-cliente-2">
                                
                                <div class="clasif-cont">
                                    <button class="modificar-info" onclick="openFormOferta(' . $id_con . ')">
                                        <img src="assets/icons8-lápiz-80.png" width="30px" /> 
                                    </button>  
                                </div>   
                                
                            </div>           
                            <div class="nombre-cliente">
                                <h3>';
            echo 'Ref.:'.$cliente['ofe_ref'];
            echo '              </h3>
                                <p>';
            echo $cliente['ofe_descr'];
            echo '               </p>
                                 <p>';
            echo $cliente['ofe_fecha'];
            echo '               </p>
                                 <p>';
            echo $cliente['ofe_importe'].' €';
            echo '               </p>

                            </div>
                        </div>';
            echo '  </a>';
            echo '</div>';
            
            echo '
            <form id="borrarContacto" action="borrar_oferta2.php" class="">
                <input id="Id" name="Id" type="hidden" value="' .  $id_con . '"/>
                <input id="IdCli" name="IdCli" type="hidden" value="' . $cliente_id . '"/>
                <button class="boton-borrado">Borrar Oferta</button>
            </form>
            ';
            

            FormularioModificarOferta($cliente_id,
                                      $cliente['ofe_id'],
                                      $cliente['ofe_ref'],
                                      $cliente['ofe_descr'],
                                      $cliente['ofe_fecha'],
                                      $cliente['ofe_importe']);
        }

    }
}

function AñadirOferta($idcli)
{

    $hoy = getdate();
    $fecha = $hoy['mday'] . '/' . $hoy['mon'] . '/' . $hoy['year'];

    echo '            

    <div id="myFormNuevaOferta" class="cd-popup" role="alert">
        <div class="cd-popup-container">
        <form id="contact" action="añadir_oferta2.php" class="form-container">';

    echo '
            <h4>Crear Oferta</h4>       
            <fieldset>                
                <input id="IdCli" name="IdCli" type="hidden" value="' . $idcli . '"/>
            </fieldset>            

            <fieldset>
                <label for="nombre"><b>Referencia *</b></label>
                <input value="" type="text" tabindex="2" required autofocus name="referencia">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Descripción</b></label>                
                <textarea placeholder="" tabindex="3" name="descripcion"></textarea>
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Fecha Oferta *</b></label>
                <input value="' . $fecha . '" type="text" tabindex="4" name="fechaOferta" required>
            </fieldset>    
            <fieldset>
                <label for="nombre"><b>Importe</b></label>
                <input value="" type="text" tabindex="5" name="importe">
            </fieldset>    

            <fieldset>
                <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Crear</button>
            </fieldset>
    ';

    /*
            <fieldset>
                <textarea placeholder="Type your Message Here...." tabindex="5" required></textarea>
            </fieldset>
    */

    echo '</form>
            
            <a href="#0" class="cd-popup-close img-replace">Close</a>
        </div> <!-- cd-popup-container -->
    </div> <!-- cd-popup -->
    ';
}

function FormularioModificarOferta(
    $cliente_id,
    $ofe_id,
    $ofe_ref,
    $ofe_descr,
    $ofe_fecha,
    $ofe_importe
) {

    echo '            

    <div id="myFormOferta' . $ofe_id . '" class="cd-popup" role="alert">
        <div class="cd-popup-container">
        <form id="contact" action="editar_oferta2.php" class="form-container">';

    echo '
            <h4>Modificar Oferta</h4>       
            <fieldset>
                <input id="Id" name="Id" type="hidden" value="' . $ofe_id . '"/>
                <input id="IdCli" name="IdCli" type="hidden" value="' . $cliente_id . '"/>                
            </fieldset>                                        

            <fieldset>
                <label for="nombre"><b>Referencia</b></label>
                <input value="' . $ofe_ref . '" type="text" tabindex="2" required autofocus name="referencia">
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Descripción</b></label>
                <textarea tabindex="3" name="descripcion">' . $ofe_descr . '</textarea>                
            </fieldset>
            <fieldset>
                <label for="nombre"><b>Fecha Oferta</b></label>
                <input value="' . $ofe_fecha . '" type="text" tabindex="4" name="fechaOferta">
            </fieldset>    
            <fieldset>
                <label for="nombre"><b>Importe</b></label>
                <input value="' . $ofe_importe . '" type="text" tabindex="5" name="importe">
            </fieldset>                                  
            
            <fieldset>
                <button name="submit" type="submit" id="contact-submit" data-submit="...Sending">Modificar</button>
            </fieldset>
    ';

    /*
        <fieldset>
            <textarea placeholder="Type your Message Here...." tabindex="5" required></textarea>
        </fieldset>
    */

    echo '</form>
            
            <a href="#0" class="cd-popup-close img-replace">Close</a>
        </div> <!-- cd-popup-container -->
    </div> <!-- cd-popup -->
    ';

}
